import { View } from "@tarojs/components"
import classnames from "classnames";
import { useEffect, useState } from "react";
import styles from "./index.module.scss"

type params = {
    onSelect?: () => void,
    onClose?: () => void,
    status?: false|true
}
export default ({onSelect, onClose, status = false}: params) => {
    const [selected, SetSelected] = useState(false)
    const onSelectEven = () => {
        let res = !selected
        if(res) {
            onSelect?.()
        } else {
            onClose?.()
        }
        SetSelected(res)
    }
    useEffect(() => {
        SetSelected(status)
    }, [status])
    return (
        <>
            <View className={classnames(styles.checkbox_item, selected&&styles.checkbox_item_select)} onClick={() => onSelectEven()}>
                {selected&&<View className={classnames('iconfont', 'icon-tick_gou', styles.miconfont)}></View>}
            </View>
        </>
    )
}