import { MovableArea, MovableView, View } from "@tarojs/components"
import Taro, { useReady } from "@tarojs/taro"
import { ReactElement, useState } from "react"
import classnames from "classnames";
import styles  from './index.module.scss'

type param = {
    children?: ReactElement|null,
    onClick?: () => void
}
export default ({children = null, onClick}:param) => {
    const [screenHeight, setScreenHeight] = useState(0)
    const [showMoveBtn, setShowMoveBtn] = useState(false)
    useReady(() => {
        const res = Taro.getSystemInfoSync()
        if(res.screenHeight) {
            let ratio = 750 / res.screenWidth;
            setScreenHeight(res.screenHeight*ratio - 460)
        }
        setShowMoveBtn(true)
    })
    return (
        <MovableArea className={styles.movableItem}>
            {children}
            {showMoveBtn&&<MovableView onClick={onClick} className={styles.moveBtn} direction="all" inertia={true} x='650rpx' y={screenHeight+'rpx'}>
              <View className={classnames('iconfont','icon-gouwuche', styles.shop_icon) } ></View>
            </MovableView>}
        </MovableArea>
    )
}